Bug 110024 - des-cbc-crc:v4 in supported_enctypes breaks java compatibility
des-cbc-crc:v4 in supported_enctypes breaks java compatibility
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: krb5 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-13 22:30 EST by David Mansfield
Modified: 2007-04-18 12:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 14:06:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mansfield 2003-11-13 22:30:06 EST
Description of problem:
this could easily be a java (jaas) bug, but I figured I'd begin by
documenting my findings here, and let you guys check it out.

if the des-cbc-crc:v4 is listed before des-cbc-crc:normal, which is
the default, then you cannot succesfully authenticate using java JAAS
(sun JDK 1.4.1 and 1.4.2 tested).  removing des-cbc-crc:v4 AND
RECREATING ENTIRE DATABASE (krb5_util create -s) solves problem.  

bug manifests as persistent: 'Integrity check on decrypted field
failed (31)' error.

Version-Release number of selected component (if applicable):
redhat 8.0 and 9.0 are known affected.

How reproducible:
always

Steps to Reproduce:
1.use default krb5 server. configure. create database. start
2.using sun jdk 1.4.2, run simple programs found in tutorial found at
http://java.sun.com/j2se/1.4.2/docs/guide/security/jgss/tutorials/AcnOnly.html
3.run program, it will always fail with above error.
  
Actual results:
error message pasted above

Expected results:
successful authentication

Additional info:
Comment 1 Bill Nottingham 2006-08-05 00:43:58 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 14:06:38 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.